#ifndef _NOKIALCD_H_
#define _NOKIALCD_H_

#define F_CPU 16000000L

/* Lcd screen size */
#define LCD_X_RES 84
#define LCD_Y_RES 48
#define LCD_CACHE_SIZE ((LCD_X_RES * LCD_Y_RES) / 8)

/* Pinout for LCD */
#define LCD_DDR DDRC
#define LCD_PORT PORTC
#define LCD_RST_PIN _BV(6)
#define LCD_CE_PIN _BV(3)
#define LCD_DC_PIN _BV(2)
#define LCD_DATA_PIN _BV(1)
#define LCD_CLK_PIN _BV(0)

/* Special Chars */
#define ARROW_RIGHT	ICON(0)
#define ARROW_LEFT 	ICON(1)
#define ARROW_UP 	ICON(2)
#define ARROW_DOWN 	ICON(3)
#define STOP 		ICON(4)
#define PLAY	 	ICON(5)

/* Function for my special characters */
#define	ICON(x)		'z'+1+x


/* Comanda sau date */
typedef enum { LCD_CMD  = 0, LCD_DATA = 1 } LcdCmdData;

/* Macro pt delay delay */
#define lcd_delay() for(volatile int i=-32000;i<32000;i++)

/**
  *	Functiile exportate de driver
  */
#define SELECTED   		1
#define NOT_SELECTED 	0

#define BUTTONRIGHT		_BV(4)
#define BUTTONLEFT		_BV(1)
#define BUTTONDOWN		_BV(3)
#define BUTTONUP		_BV(0)
#define BUTTONSELECT	_BV(2)
#define BUTTONDDR		DDRA
#define BUTTONPORT		PORTA
#define BUTTONPIN		PINA


void LCD_init(void);
void LCD_str( char* str,uint8_t sel);
void LCD_clear(void);
void LCD_gotoXY(uint8_t x, uint8_t y);
int LCD_chr(char chr, uint8_t sel);
void LCD_contrast(unsigned char contrast);

#endif



